EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Executions_GetExecutionsForDispatcher',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Executions_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Returns executions ready for the dispatcher to either start or cancel.'
GO

IF OBJECT_ID('[Executions_GetExecutionsForDispatcher]') IS NOT NULL DROP PROCEDURE [Executions_GetExecutionsForDispatcher]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Executions_GetExecutionsForDispatcher]
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [Executions_Extended]
	 WHERE ([ExecutionRunState_Code] = 'P' AND ([Start_Date] < GETUTCDATE() OR [CanceledOn_Date] IS NOT NULL))
	    OR ([ExecutionRunState_Code] = 'X' AND [CanceledOn_Date] IS NOT NULL)

END
GO

GRANT EXECUTE ON [Executions_GetExecutionsForDispatcher] TO [ProGetUser_Role]
GO