EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'HelmChartDockerImages_DeleteImage',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes the link to a Docker Image from a chart in a Helm feed.'
GO

IF OBJECT_ID('[HelmChartDockerImages_DeleteImage]') IS NOT NULL DROP PROCEDURE [HelmChartDockerImages_DeleteImage]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [HelmChartDockerImages_DeleteImage]
(
	@HelmChartDockerImages_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

		
		DELETE [HelmChartDockerImages]
		WHERE [HelmChartDockerImages_Id] = @HelmChartDockerImages_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [HelmChartDockerImages_DeleteImage] TO [ProGetUser_Role]
GO
