EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'RpmPackages_GetPackageFromFileName',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'RpmPackages,RpmPackageVersions',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a package and its versions from its file name.'
GO

IF OBJECT_ID('[RpmPackages_GetPackageFromFileName]') IS NOT NULL DROP PROCEDURE [RpmPackages_GetPackageFromFileName]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [RpmPackages_GetPackageFromFileName]
(
	@Feed_Id INT,
	@Local_FileName_Text VARCHAR(200)
)
AS
BEGIN

SET NOCOUNT ON

	DECLARE @RpmPackage_Id INT
	DECLARE @RpmPackageVersion_Id INT

	SELECT @RpmPackage_Id = [RpmPackage_Id],
	       @RpmPackageVersion_Id = [RpmPackageVersion_Id]
	  FROM [RpmPackages_FileNames]
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Local_FileName_Text] = @Local_FileName_Text

	SELECT *
	  FROM [RpmPackages]
	 WHERE [RpmPackage_Id] = @RpmPackage_Id

	SELECT *
	  FROM [RpmPackageVersions] RPV
	 WHERE [RpmPackageVersion_Id] = @RpmPackageVersion_Id

END
GO

GRANT EXECUTE ON [RpmPackages_GetPackageFromFileName] TO [ProGetUser_Role]
GO