EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ScheduledTasks_UpdateScheduledTask',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Updates the configuration of a scheduled task.'
GO

IF OBJECT_ID('[ScheduledTasks_UpdateScheduledTask]') IS NOT NULL DROP PROCEDURE [ScheduledTasks_UpdateScheduledTask]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ScheduledTasks_UpdateScheduledTask]
(
	@ScheduledTask_Id INT,
	@CronExpression_Text VARCHAR(50),
	@Active_Indicator YNINDICATOR
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	UPDATE [ScheduledTasks]
	   SET [CronExpression_Text] = @CronExpression_Text,
		   [Active_Indicator] = @Active_Indicator
	 WHERE [ScheduledTask_Id] = @ScheduledTask_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [ScheduledTasks_UpdateScheduledTask] TO [ProGetUser_Role]
GO